"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _default = ({
  storage,
  publishEvent
}) => Object.freeze({
  loadEvents: storage.loadEvents.bind(storage),
  import: storage.import.bind(storage),
  export: storage.export.bind(storage),
  getLatestEvent: storage.getLatestEvent.bind(storage),
  getNextCursor: storage.getNextCursor.bind(storage),
  saveEvent: async event => {
    await storage.saveEvent(event);

    if (typeof publishEvent === 'function') {
      await publishEvent(event);
    }

    return event;
  },
  dispose: Promise.resolve.bind(Promise)
});

exports.default = _default;
//# sourceMappingURL=index.js.map